[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.ParamType

Type of parameter

## Declaration

Source position: db.pas line 1769

`published property TParam.ParamType: TParamType read FParamType write FParamType;`

## Description

ParamTyp specifies the type of parameter: is the parameter value written to the database engine, or is it received from the database engine, or both ? It can have the following value:

ptUnknown
  Unknown type
ptInput
  Input parameter
ptOutput
  Output paramete, filled on result
ptInputOutput
  Input/output parameter
ptResult
  Result parameter

The ParamType property is usually set by the database engine that creates the parameter instances.

## See also

TParam.DataType |  | Data type of the parameter
TParam.DataSize
TParam.Name |  | Name of the parameter

The latest version of this document can be found at lazarus-ccr.sourceforge.net .